Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class UndoManager

    java.lang.Object
      org.gjt.sp.jedit.buffer.UndoManager

public class UndoManager
extends java.lang.Object

A class internal to jEdit's document model. You should not use it directly. To improve performance, none of the methods in this class check for out of bounds access, nor are they thread-safe. The `Buffer` class, through which these methods must be called through, implements such protection.

Since:
  jEdit 4.0pre1
Version:
  $Id: UndoManager.java,v 1.25 2004/07/04 06:56:17 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`UndoManager(Buffer buffer)`

Method Summary
`void` | `beginCompoundEdit()`
`void` | `bufferSaved()`
`void` | `clear()`
`void` | `contentInserted(int offset, int length, java.lang.String text, boolean clearDirty)`
`void` | `contentRemoved(int offset, int length, java.lang.String text, boolean clearDirty)`
`void` | `endCompoundEdit()`
`boolean` | `insideCompoundEdit()`
`int` | `redo()`
`void` | `setLimit(int limit)`
`int` | `undo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoManager

    public UndoManager(Buffer buffer)

Method Detail

### setLimit

    public void setLimit(int limit)

### clear

    public void clear()

### undo

    public int undo()

### redo

    public int redo()

### beginCompoundEdit

    public void beginCompoundEdit()

### endCompoundEdit

    public void endCompoundEdit()

### insideCompoundEdit

    public boolean insideCompoundEdit()

### contentInserted

    public void contentInserted(int offset,
                                int length,
                                java.lang.String text,
                                boolean clearDirty)

### contentRemoved

    public void contentRemoved(int offset,
                               int length,
                               java.lang.String text,
                               boolean clearDirty)

### bufferSaved

    public void bufferSaved()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD